GeoTessCPP: geotess::GeoTessProfileSurfaceEmpty Class Reference

GeoTessCPP 2.2.3 Software to facilitate storage and retrieval of 3D information about the Earth.

Public Member Functions | Static Public Member Functions | List of all members
geotess::GeoTessProfileSurfaceEmpty Class Reference

A Profile object that defines a single Data object and no radius value. More...

`#include <GeoTessProfileSurfaceEmpty.h>`

Inheritance diagram for geotess::GeoTessProfileSurfaceEmpty:

## Public Member Functions
| GeoTessProfileSurfaceEmpty ()
virtual int | class_size () const
virtual LONG_INT | getMemory ()
virtual const GeoTessProfileType & | getType () const
virtual bool | operator== (const GeoTessProfile &p) const
virtual double | getValue (int attributeIndex, int nodeIndex) const
virtual double | getValueTop (int attributeIndex) const
virtual bool | isNaN (int nodeIndex, int attributeIndex)
virtual double | getValue (const GeoTessInterpolatorType &rInterpType, int attributeIndex, double radius, bool allowRadiusOutOfRange) const
virtual void | setData (const vector< GeoTessData * > &inData)
virtual void | setData (int index, GeoTessData *inData)
virtual GeoTessData ** | getData ()
virtual GeoTessData * | getData (int i)
virtual const GeoTessData & | getData (int i) const
virtual GeoTessData * | getDataTop ()
virtual const GeoTessData & | getDataTop () const
virtual GeoTessData * | getDataBottom ()
virtual const GeoTessData & | getDataBottom () const
virtual float | getRadius (int i) const
virtual void | setRadii (const vector< float > &newRadii)
virtual void | setRadius (int index, float radius)
virtual float | getRadiusTop () const
virtual float | getRadiusBottom () const
virtual int | getNRadii () const
virtual int | getNData () const
virtual float * | getRadii ()
Public Member Functions inherited from geotess::GeoTessProfile
double | getValue (const vector< int > &nodeIds, const vector< double > &coefficients, int attributeIndex) const
virtual double | getValueBottom (int attributeIndex) const
double | getThickness ()
int | getRadiusIndex (double radius) const
virtual int | getRadiusIndex (double radius, int jlo) const
virtual double | getInterpolationCoefficient (int i, double radius, bool allowOutOfRange) const
virtual int | getPointIndex (int nodeIndex) const
virtual int | findClosestRadiusIndex (double radius) const

## Static Public Member Functions
static string | class_name ()
Static Public Member Functions inherited from geotess::GeoTessProfile
static GeoTessProfile * | newProfile (const vector< float > &radii, vector< GeoTessData * > &data)
static GeoTessProfile * | newProfile (const vector< float > &radii, vector< vector< double > > &data)
static GeoTessProfile * | newProfile (const vector< float > &radii, vector< vector< float > > &data)
static GeoTessProfile * | newProfile (const vector< float > &radii, vector< vector< LONG_INT > > &data)
static GeoTessProfile * | newProfile (const vector< float > &radii, vector< vector< int > > &data)
static GeoTessProfile * | newProfile (const vector< float > &radii, vector< vector< short > > &data)
static GeoTessProfile * | newProfile (const vector< float > &radii, vector< vector< byte > > &data)
static GeoTessProfile * | newProfile (float *radii, const int &nRadii, GeoTessData **data, const int &nData)
static GeoTessProfile * | newProfile (float *radii, const int &nRadii, double **values, const int &nNodes, const int &nAttributes)
static GeoTessProfile * | newProfile (float *radii, const int &nRadii, float **values, const int &nNodes, const int &nAttributes)
static GeoTessProfile * | newProfile (float *radii, const int &nRadii, LONG_INT **values, const int &nNodes, const int &nAttributes)
static GeoTessProfile * | newProfile (float *radii, const int &nRadii, int **values, const int &nNodes, const int &nAttributes)
static GeoTessProfile * | newProfile (float *radii, const int &nRadii, short **values, const int &nNodes, const int &nAttributes)
static GeoTessProfile * | newProfile (float *radii, const int &nRadii, byte **values, const int &nNodes, const int &nAttributes)
static string | class_name ()
static int | class_count ()

## Detailed Description

A Profile object that defines a single Data object and no radius value.

A Profile object used to support 2D models. It represents a single Data object and no radius value. ProfileSurfaceEmpty objects are incompatible with all other Profile types in the sense that a model that contains any ProfileSurfaceEmpty objects must be made up entirely of ProfileSurfaceEmpty objects.

Definition at line 79 of file GeoTessProfileSurfaceEmpty.h.

## Constructor & Destructor Documentation

## ◆ GeoTessProfileSurfaceEmpty()

geotess::GeoTessProfileSurfaceEmpty::GeoTessProfileSurfaceEmpty | ( |  | ) |
| inline

Definition at line 82 of file GeoTessProfileSurfaceEmpty.h.

## Member Function Documentation

## ◆ class_name()

static string geotess::GeoTessProfileSurfaceEmpty::class_name | ( |  | ) |
| inlinestatic

Returns the class name.

Definition at line 87 of file GeoTessProfileSurfaceEmpty.h.

## ◆ class_size()

virtual int geotess::GeoTessProfileSurfaceEmpty::class_size | ( |  | ) | const
| inlinevirtual

Returns the class size.

Reimplemented from geotess::GeoTessProfile.

Definition at line 92 of file GeoTessProfileSurfaceEmpty.h.

## ◆ getData() [1/3]

virtual GeoTessData** geotess::GeoTessProfileSurfaceEmpty::getData | ( |  | ) |
| inlinevirtual

Retrieve a reference to all of the Data obects associated with this Profile.

Reimplemented from geotess::GeoTessProfile.

Definition at line 161 of file GeoTessProfileSurfaceEmpty.h.

## ◆ getData() [2/3]

virtual GeoTessData* geotess::GeoTessProfileSurfaceEmpty::getData | ( | int | i | ) |
| inlinevirtual

Retrieve a reference the i'th Data object

Reimplemented from geotess::GeoTessProfile.

Definition at line 173 of file GeoTessProfileSurfaceEmpty.h.

## ◆ getData() [3/3]

virtual const GeoTessData& geotess::GeoTessProfileSurfaceEmpty::getData | ( | int | i | ) | const
| inlinevirtual

Retrieve a reference the i'th Data object

Reimplemented from geotess::GeoTessProfile.

Definition at line 185 of file GeoTessProfileSurfaceEmpty.h.

## ◆ getDataBottom() [1/2]

virtual GeoTessData* geotess::GeoTessProfileSurfaceEmpty::getDataBottom | ( |  | ) |
| inlinevirtual

Get the Data object at the bottom of the profile.

Reimplemented from geotess::GeoTessProfile.

Definition at line 220 of file GeoTessProfileSurfaceEmpty.h.

## ◆ getDataBottom() [2/2]

virtual const GeoTessData& geotess::GeoTessProfileSurfaceEmpty::getDataBottom | ( |  | ) | const
| inlinevirtual

Get the Data object at the bottom of the profile.

Reimplemented from geotess::GeoTessProfile.

Definition at line 232 of file GeoTessProfileSurfaceEmpty.h.

## ◆ getDataTop() [1/2]

virtual GeoTessData* geotess::GeoTessProfileSurfaceEmpty::getDataTop | ( |  | ) |
| inlinevirtual

Get the Data object at the top of the profile.

Reimplemented from geotess::GeoTessProfile.

Definition at line 196 of file GeoTessProfileSurfaceEmpty.h.

## ◆ getDataTop() [2/2]

virtual const GeoTessData& geotess::GeoTessProfileSurfaceEmpty::getDataTop | ( |  | ) | const
| inlinevirtual

Get the Data object at the top of the profile.

Reimplemented from geotess::GeoTessProfile.

Definition at line 208 of file GeoTessProfileSurfaceEmpty.h.

## ◆ getMemory()

virtual LONG_INT geotess::GeoTessProfileSurfaceEmpty::getMemory | ( |  | ) |
| inlinevirtual

Reimplemented from geotess::GeoTessProfile.

Definition at line 94 of file GeoTessProfileSurfaceEmpty.h.

## ◆ getNData()

virtual int geotess::GeoTessProfileSurfaceEmpty::getNData | ( |  | ) | const
| inlinevirtual

Get the number of Data objects that comprise this profile.

Reimplemented from geotess::GeoTessProfile.

Definition at line 273 of file GeoTessProfileSurfaceEmpty.h.

## ◆ getNRadii()

virtual int geotess::GeoTessProfileSurfaceEmpty::getNRadii | ( |  | ) | const
| inlinevirtual

Get the number of radii that comprise this profile.

Reimplemented from geotess::GeoTessProfile.

Definition at line 268 of file GeoTessProfileSurfaceEmpty.h.

## ◆ getRadii()

virtual float* geotess::GeoTessProfileSurfaceEmpty::getRadii | ( |  | ) |
| inlinevirtual

Returns NULL

Reimplemented from geotess::GeoTessProfile.

Definition at line 278 of file GeoTessProfileSurfaceEmpty.h.

## ◆ getRadius()

virtual float geotess::GeoTessProfileSurfaceEmpty::getRadius | ( | int | i | ) | const
| inlinevirtual

Get the i'th radius value in this profile in km. Radii are in order of increasing radius.

Reimplemented from geotess::GeoTessProfile.

Definition at line 245 of file GeoTessProfileSurfaceEmpty.h.

## ◆ getRadiusBottom()

virtual float geotess::GeoTessProfileSurfaceEmpty::getRadiusBottom | ( |  | ) | const
| inlinevirtual

Get the radius at the bottom of the profile, in km.

Reimplemented from geotess::GeoTessProfile.

Definition at line 263 of file GeoTessProfileSurfaceEmpty.h.

## ◆ getRadiusTop()

virtual float geotess::GeoTessProfileSurfaceEmpty::getRadiusTop | ( |  | ) | const
| inlinevirtual

Get the radius at the top of the profile, in km.

Reimplemented from geotess::GeoTessProfile.

Definition at line 258 of file GeoTessProfileSurfaceEmpty.h.

## ◆ getType()

virtual const GeoTessProfileType& geotess::GeoTessProfileSurfaceEmpty::getType | ( |  | ) | const
| inlinevirtual

Returns ProfileType (SURFACE).

Returns
  ProfileType (SURFACE).

Reimplemented from geotess::GeoTessProfile.

Definition at line 101 of file GeoTessProfileSurfaceEmpty.h.

## ◆ getValue() [1/2]

virtual double geotess::GeoTessProfileSurfaceEmpty::getValue | ( | const GeoTessInterpolatorType & | rInterpType,
|  | int | attributeIndex,
|  | double | radius,
|  | bool | allowRadiusOutOfRange
| ) |  | const
| inlinevirtual

Retrieve the value of the specified attribute interpolated at the specified radius. Ignore allowRadiusOutOfRange.

Reimplemented from geotess::GeoTessProfile.

Definition at line 142 of file GeoTessProfileSurfaceEmpty.h.

## ◆ getValue() [2/2]

virtual double geotess::GeoTessProfileSurfaceEmpty::getValue | ( | int | attributeIndex,
|  | int | nodeIndex
| ) |  | const
| inlinevirtual

Retrieve the value of the specified attribute from this profile at the specified node index

Parameters

  attributeIndex |
  nodeIndex |

Returns
  double

Reimplemented from geotess::GeoTessProfile.

Definition at line 116 of file GeoTessProfileSurfaceEmpty.h.

## ◆ getValueTop()

virtual double geotess::GeoTessProfileSurfaceEmpty::getValueTop | ( | int | attributeIndex | ) | const
| inlinevirtual

Retrieve the value of the specified attribute at the top of the layer.

Parameters

  attributeIndex |

Returns
  double

Reimplemented from geotess::GeoTessProfile.

Definition at line 124 of file GeoTessProfileSurfaceEmpty.h.

## ◆ isNaN()

virtual bool geotess::GeoTessProfileSurfaceEmpty::isNaN | ( | int | nodeIndex,
|  | int | attributeIndex
| ) |  |
| inlinevirtual

Return true if the specified Data value is NaN. For doubles and floats, this means not NaN. For bytes, shorts, ints and longs, always returns false since there is no value that is NaN.

Parameters

  nodeIndex |
  attributeIndex |

Returns
  true if the specified Data value is NaN.

Reimplemented from geotess::GeoTessProfile.

Definition at line 136 of file GeoTessProfileSurfaceEmpty.h.

## ◆ operator==()

virtual bool geotess::GeoTessProfileSurfaceEmpty::operator== | ( | const GeoTessProfile & | p | ) | const
| inlinevirtual

Return true if the input Profile object (p) equals this Profile object.

Reimplemented from geotess::GeoTessProfile.

Definition at line 106 of file GeoTessProfileSurfaceEmpty.h.

## ◆ setData() [1/2]

virtual void geotess::GeoTessProfileSurfaceEmpty::setData | ( | const vector< GeoTessData * > & | inData | ) |
| inlinevirtual

Resets the data object to the new input data

Reimplemented from geotess::GeoTessProfile.

Definition at line 150 of file GeoTessProfileSurfaceEmpty.h.

## ◆ setData() [2/2]

virtual void geotess::GeoTessProfileSurfaceEmpty::setData | ( | int | index,
|  | GeoTessData * | inData
| ) |  |
| inlinevirtual

Resets the data object at index to the new input data.

Reimplemented from geotess::GeoTessProfile.

Definition at line 155 of file GeoTessProfileSurfaceEmpty.h.

## ◆ setRadii()

virtual void geotess::GeoTessProfileSurfaceEmpty::setRadii | ( | const vector< float > & | newRadii | ) |
| inlinevirtual

Replace the radii currently associated with this Profile with new values.

Reimplemented from geotess::GeoTessProfile.

Definition at line 250 of file GeoTessProfileSurfaceEmpty.h.

## ◆ setRadius()

virtual void geotess::GeoTessProfileSurfaceEmpty::setRadius | ( | int | index,
|  | float | radius
| ) |  |
| inlinevirtual

Replace the radius at the specified nodeIndex.

Reimplemented from geotess::GeoTessProfile.

Definition at line 252 of file GeoTessProfileSurfaceEmpty.h.

The documentation for this class was generated from the following file:

- rstt/GeoTessCPP/include/GeoTessProfileSurfaceEmpty.h